#!/bin/bash
#SBATCH --qos=nf
#SBATCH --ntasks=6
#SBATCH --cpus-per-task=1
#SBATCH -t 0:10:00

module reset
#module load python3/3.8.8-01 prgenv/intel intel/2021.4.0 intel-mkl/19.0.5 hpcx-openmpi/2.9.0 hdf5-parallel/1.10.6 netcdf4-parallel/4.7.4 cdo
module load python3/3.10.10-01 prgenv/intel intel/2021.4.0 hpcx-openmpi/2.9.0 hdf5-parallel/1.12.2 netcdf4-parallel/4.9.1 cdo 
module list
export MPIRUN="mpirun -oversubscribe"

source ../sources/oasis3-mct/generated/python/init.sh

export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${NETCDF4_PARALLEL_DIR}/lib:${ECCODES_DIR}/lib:${HDF5_DIR}/lib"
echo LD_LIBRARY_PATH: $LD_LIBRARY_PATH

#bash ./run_example.sh pythoncompat forcing 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh fortran forcing 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example-t1279.sh python forcing 4 2010-01-01 2010-03-01 0 128 true
#bash ./run_example.sh datacoupler co2 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh python co2 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh co2box co2 4 2005-01-01 2005-03-01 0 128 true
#bash ./run_example.sh co2box co2 4 2005-01-01 2005-03-01 0 128 true false

#bash ./run_example.sh co2box co2 4 2005-01-01 2005-05-01 0 128 true false
bash ./run_example.sh co2box co2 4 2014-01-01 2014-05-01 0 128 true false
#bash ./run_example.sh fortran forcing 4 2005-01-01 2005-03-01 0 128 true false
